headless lms

Delete your message, or one in a community you moderate

DELETE /api/member/messages/{messageId}. Delete your message, or one in a community you moderate. Headless LMS Chats API reference.

DELETE
/api/member/messages/{messageId}

For the sender, or a moderator of the community. The message stays in the history, marked deleted. 409 when it is already deleted.

Path Parameters

messageId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/member/messages/string"
{  "orgId": "string",  "id": "string",  "communityId": "string",  "chatId": "string",  "orgUserId": "string",  "body": "string",  "replyToId": "string",  "editedAt": "2019-08-24T14:15:22Z",  "deletedAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "sender": {    "id": "string",    "firstName": "string",    "lastName": "string",    "displayName": "string",    "headline": "string",    "image": "string",    "imageAssetId": "string",    "imageUrl": "string",    "role": "owner"  },  "attachments": [    {      "assetId": "string",      "url": "string"    }  ],  "reactions": {    "property1": 0,    "property2": 0  },  "viewerReaction": "string"}
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}